Summary:	Screen capture tool for Xfce
Summary(de):	Werkzeug zum Fotografieren des Bildschirms für Xfce
Name:		xfce4-screenshooter
Version:	1.8.2
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/applications/xfce4-screenshooter
Source0:	http://goodies.xfce.org/releases/xfce4-screenshooter/%{name}-%{version}.tar.xz
Requires:	xfce4-panel 
Requires:       glibc >= 2.20
Requires:       libstdc++6 >= 4.4.1
BuildRequires:	curl-devel
BuildRequires:	libsoup-devel
BuildRequires:	xfce4-panel-devel
BuildRequires:	libxfce4ui-devel
BuildRequires:	libxfce4util-devel
BuildRequires:	libpthread-stubs
BuildRequires:	exo-devel
BuildRequires:	perl(XML::Parser)
BuildRequires:	gettext-devel
Provides:	xfce4-screenshooter-plugin
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:	%name < %version


%description
This application allows you to capture the entire screen, 
the active window or a selected region. You can set the delay 
that elapses before the screenshot is taken and the action that 
will be done with the screenshot: save it to a PNG file, copy 
it to the clipboard, or open it using another application.
 
A plugin for the Xfce panel is also available.

#german
%description -l de
Diese Anwendung ermöglicht es Ihnen, den gesamten Bildschirm zu erfassen, 
das aktive Fenster oder einen ausgewählten Bereich. Sie können die Verzögerung, 
bevor das Bildschirmfoto aufgenommen wird und die Aktion, die mit der Aufnahem
ausgeführt wird einstellen: speichern Sie es als PNG-Datei, kopieren 
Sie es in die Zwischenablage oder öffnen Sie es mit einer anderen Anwendung. 
 
Ein Plugin für die Xfce-Panel ist ebenfalls vorhanden.

#french
%description -l fr
Cette application vous permet de capturer l'écran entier, 
la fenêtre active ou une zone sélectionnée. Vous pouvez définir le délai 
qui s'écoule avant la capture d'écran est prise et l'action qui 
sera fait avec la capture d'écran: l'enregistrer dans un fichier PNG, copier 
le presse-papiers, ou l'ouvrir avec une autre application. 
 
Un plugin pour le panneau Xfce est également disponible.

#spanish
%description -l es
Esta aplicación te permite capturar la pantalla entera, 
la ventana activa o una región seleccionada. Puede establecer la demora 
que transcurre antes de la captura de pantalla se toma y la acción que 
se hará con la captura de pantalla: Guardar en un archivo PNG, copia de 
en el portapapeles, o abrirlo con otra aplicación. 
 
Un plugin para el panel de Xfce también está disponible.

#polish
%description -l pl
This application allows you to capture the entire screen, 
the active window or a selected region. You can set the delay 
that elapses before the screenshot is taken and the action that 
will be done with the screenshot: save it to a PNG file, copy 
it to the clipboard, or open it using another application.

#serbian
%description -l sr
Ова апликација вам омогућава да снимите цео екран, 
активни прозор или одабраних региона. Можете да подесите кашњење 
елапсес пре него што је снимак екрана предузете и акције које 
ће бити учињено са екрана: сачувајте је ПНГ, копија 
га у оставу, или отворите га користи нека друга апликација. 
 
Плугин за Ксфце панел је такође на располагању.

#dutch
%description -l nl
Deze applicatie stelt u in staat vast te leggen het hele scherm, 
het actieve venster of een geselecteerde regio. U kunt de vertraging 
die verstrijkt voordat de screenshot is genomen en de maatregelen die 
zal worden gedaan met het screenshot: sla het op een PNG-bestand, kopieer 
naar het klembord, of openen met behulp van een andere toepassing. 
 
Een plugin voor de Xfce panel is ook beschikbaar.
 
%prep
%setup -q

./autogen.sh --prefix=/usr --libdir=%{_libdir}

%build
%configure2_5x \
	--disable-static

%make

%install
rm -rf %{buildroot} 
%makeinstall_std 

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

# don't ship .a
find %{buildroot} -name '*.a' -exec rm -f {} \;

#Fix desktop file
perl -pi -e "s|libexec|lib|" $RPM_BUILD_ROOT%{_datadir}/xfce4/panel-plugins/*.desktop

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

# don't ship .a
find %{buildroot} -name '*.a' -exec rm -f {} \;

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc AUTHORS README
%{_bindir}/*
%{_libdir}/xfce4/panel/plugins/*
%{_datadir}/xfce4/panel/plugins/*.desktop
%{_datadir}/applications/xfce4-screenshooter.desktop
%{_datadir}/appdata/xfce4-screenshooter.appdata.xml
%{_iconsdir}/hicolor/*/apps/*.*g
%{_mandir}/man1/*
%{_datadir}/locale/*


%changelog
* Sat Mar 07 2015 ghostbunny <ghostbunny at gmx dot de> 1.8.2-2pclos2015
- rebuild against new libxfce4util7

* Wed Jan 28 2015 ghostbunny <ghostbunny at gmx dot de> 1.8.2-1pclos2015
- 1.8.2
- remove BR libxfcegui4-devel
- add BR libpthread-stubs, libxfce4ui-devel, libxfce4util-devel, exo-devel, 
  gettext-devel
- fix files section

* Thu Sep 20 2012 Neal <nealbrks0 at gmail dot com> 1.8.1-1pclos2012
- 64bit

* Fri Aug 31 2012 Neal <nealbrks0 at gmail dot com> 1.8.1-1pclos2012
- process

* Thu Aug 30 2012 ghostbunny <ghostbunny at gmx dot de> 1.8.1-1pclos2012
- 1.8.1
- added/fixed german summary and description
- fixed files section

* Thu Jan 19 2012 Neal <nealbrks0 at gmail.com> 1.8.0-1pclos2012
- added .la and .a remove

* Sun Jan 19 2012 Sproggy <desproggster at gmail.com> 1.8.0-1pclos2012
- update

* Fri Mar 25 2011 Texstar <texstar at gmail.com> 1.7.9-3pclos2011
- fix desktop file

* Wed Jan 26 2011 Sproggy <desproggster@gmail.com> 1.7.9-2pclos2010
- updated for xfce4.8

* Fri Jul 16 2010 Texstar <texstar at gmail.com> 1.7.9-1pclos2010
- 1.7.9

* Thu Oct 08 2009 Neal <nealbrks0@gmail.com> 1.6.0-2pclos2009
- gcc update

* Tue Jun 23 2009 johnnyblack <johnnyblack@inbox.com> 1.6.0-1pclos2009
- 1.6.0

* Mon Apr 06 2009 pcserver <pcserver@hushmail.com> 
- create
